<?php
if(isset($admin_read_config))
{
	$cron_config['name']=array('cn'=>'定时更新过期的问题','en'=>'定时更新过期的问题');
	$cron_config['des']=array('cn'=>'如果您安装了问答模块可以启用，当某些用户发布了悬赏问题，到期后仍为进行结贴。此任务便会自动处理','en'=>'');
	$cron_config['week']='-1';//设置周几执行，此设置将覆盖下面的“日”选项。 -1,不作限制 Sunday,每周日 Monday,每周一 ....
	$cron_config['day']='-1';//设置任务哪天执行，默认为每天。  -1，不作限制 01每月一号
	$cron_config['hours']='00';//设置任务哪个小时执行 01,02....24
	$cron_config['minutes']='00';//设置任务分钟执行 01,02.....59
}
else
{
	include($config['webroot']."/includes/point_inc.php");
	if($point_config['point']=='1')
	{
		$nt=time()-864000;
		$sql="select userid,id from ".QUESTION." where answer_nums>0 and statu!=3 and uptime<$nt";
		$db->query($sql);
		$re=$db->getRows();
		if(empty($point_config['question_expired']))
			$point_config['question_expired']=0;
		if(empty($point_config['answer']))
			$point_config['answer']=0;	
		foreach($re as $v)
		{
			$sql="update ".ALLUSER." set point=point+$point_config[question_expired] where userid=$v[userid]";
			$db->query($sql);
			$sql="select userid from ".ANSWER." where question_id=$v[id]";
			$db->query($sql);
			$rs=$db->getRows();
			if(!empty($rs['userid']))
			{
				$uid='0';
				foreach($rs as $u)
				{
					$uid.=','.$u['userid'];
				}
				$sql="update ".ALLUSER." set point=point+$point_config[answer] where userid in ($uid)";
				$db->query($sql);
			}
		}
		$sql="update ".QUESTION." set statu=3 where uptime<$nt and statu!=3";
		$db->query($sql);
	}
}
?>